Opened 12 years ago

Closed 10 years ago

#4576 closed defect (invalid)

DVD audio glitches using Internal player

Reported by: Ash Bostock <abostock@…> Owned by: skamithi
Priority: minor Milestone: unknown
Component: MythTV - Video Playback Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Using a recent SVN (from 1st Feb) when playing back a DVD (Arch Enemy: Live Apocalypse) using spdif pass-through I occasionally get a break in the signal and my receiver looses the audio for a brief second. It always occurs in the same places on the disc, but I've tested those spots using both mplayer and xine and neither have any problems at all (both don't show any errors on terminal either).

Here's a log of when the problem occurs, it's complaining about the DTS not being 48kHz...

2008-01-31 21:21:36.785 AFD: Opened codec 0x9295730, id(DTS) type(Audio)
2008-01-31 21:21:36.788 Opening ALSA audio device 'iec958:{ AES0 0x02 }'.
2008-01-31 21:21:36.801 Mixer unable to find control Master
2008-01-31 21:21:36.802 Mixer unable to find control Master
2008-01-31 21:21:36.802 NVP: Enabling Audio
2008-01-31 21:21:36.814 AFD: Warning, video codec 0x8356170 id(MPEG2VIDEO) type (Video) already open.
2008-01-31 21:21:36.814 AFD: Warning, audio codec 0x9295730 id(DTS) type (Audio) already open, leaving it alone.
2008-01-31 21:21:36.814 AFD: Opened codec 0x9293e50, id(AC3) type(Audio)
2008-01-31 21:21:36.823 AFD: Warning, video codec 0x8356170 id(MPEG2VIDEO) type (Video) already open.
2008-01-31 21:21:36.823 AFD: Warning, audio codec 0x9295730 id(DTS) type (Audio) already open, leaving it alone.
2008-01-31 21:21:36.823 AFD: Warning, audio codec 0x9293e50 id(AC3) type (Audio) already open, leaving it alone.
2008-01-31 21:21:36.824 AFD: Opened codec 0x92d15a0, id(AC3) type(Audio)
2008-01-31 21:21:36.878 [mpeg2video @ 0xb727e188]00 motion_type at 10 1
2008-01-31 21:21:36.878 [mpeg2video @ 0xb727e188]00 motion_type at 2 3
2008-01-31 21:21:36.878 [mpeg2video @ 0xb727e188]00 motion_type at 11 3
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 14 4
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 0 6
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]mb incr damaged
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 18 7
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]ac-tex damaged at 7 8
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 3 9
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]ac-tex damaged at 10 10
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 13 11
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]ac-tex damaged at 10 12
2008-01-31 21:21:36.879 [mpeg2video @ 0xb727e188]00 motion_type at 8 13
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 8 14
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 3 15
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 20 16
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 18 17
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 38 19
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]ac-tex damaged at 25 19
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]invalid mb type in B Frame at 30 20
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]00 motion_type at 23 21
2008-01-31 21:21:36.880 [mpeg2video @ 0xb727e188]ac-tex damaged at 23 22
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 16 23
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 36 24
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 23 25
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 33 26
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 25 27
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 28 28
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]00 motion_type at 25 29
2008-01-31 21:21:36.881 [mpeg2video @ 0xb727e188]Warning MVs not available
2008-01-31 21:22:16.411 AFD: DTS: Only 48kHz supported (sfreq 8)
2008-01-31 21:22:16.411 AFD: DTS: Only 48kHz supported (sfreq 8)

Change History (10)

comment:1 Changed 12 years ago by Ash Bostock <abostock@…>

Could someone change the "Component" from mythtv to mythvideo as I set it wrong when raising the ticket. Thanks.

comment:2 Changed 12 years ago by stuartm

Component: mythtvmythdvd
Owner: changed from Isaac Richards to Anduin Withers

comment:3 Changed 12 years ago by skamithi

Component: mythdvdmythtv
Owner: changed from Anduin Withers to skamithi
Status: newassigned

comment:4 Changed 11 years ago by skamithi

Status: assignedinfoneeded

there have been some recent changes to the ac3 code. upgrade the latest 0.21 fixes .

comment:5 Changed 11 years ago by Ash <abostock@…>

Unfortunately I still get the same problem with the latest 0.21 fixes code...

2008-05-01 19:49:25.452 AFD: DTS: Only 48kHz supported (sfreq 8)
2008-05-01 19:49:25.452 AFD: DTS: Only 48kHz supported (sfreq 8)
2008-05-01 19:49:25.452 AFD: DTS: 1568-samble bursts not supported

...although that last line is new, not sure if it helps.

Thanks, Ash

comment:6 Changed 11 years ago by skamithi

please apply [17304] and report the results.

comment:7 Changed 11 years ago by Ash Bostock <abostock@…>

Sorry for taking ages to reply, I've applied 17304 to the latest fixes (18258) and I'm still getting the audio break up glitches with these in the log...

2008-09-07 11:20:25.999 AFD: DTS: Only 48kHz supported (sfreq 2)
2008-09-07 11:20:26.027 AFD: DTS: Only 48kHz supported (sfreq 2)
2008-09-07 11:20:26.027 AFD: DTS: 1824-sample bursts not supported
2008-09-07 11:21:45.860 AFD: DTS: Only 48kHz supported (sfreq 8)
2008-09-07 11:21:45.880 AFD: DTS: Only 48kHz supported (sfreq 8)
2008-09-07 11:21:45.880 AFD: DTS: 1568-sample bursts not supported

comment:8 Changed 11 years ago by stuartm

Status: infoneededassigned

comment:9 Changed 10 years ago by stuartm

Component: mythtvMythTV - Video Playback
Status: assignedinfoneeded

Still a problem with current trunk/0.22?

comment:10 Changed 10 years ago by stuartm

Resolution: invalid
Status: infoneededclosed

30 days without response.

Note: See TracTickets for help on using tickets.